# Update a message

URL: https://www.inclamo.com/docs/api/client/messages-api/update-a-message

> Update a message

## PATCH /public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id}

Update a message

Base URL: https://helpdesk.inclamo.com

### Parameters

- `inbox_identifier` (path, required, string): The identifier obtained from API inbox channel
- `contact_identifier` (path, required, string): The source id of contact obtained on contact create
- `conversation_id` (path, required, integer): The numeric ID of the conversation
- `message_id` (path, required, integer): The numeric ID of the message

### Request body

`application/json` (required)

```json

{
  "$ref": "#/components/schemas/public_message_update_payload"
}

```

### Responses

- 200: Success
- 401: Unauthorized

Schemas referenced with $ref are defined in the OpenAPI file: https://www.inclamo.com/docs/api/openapi.json
